// Version 3.3
// Configuration settings for the entire course (SCO)

// GENERAL COURSE SETTINGS
var _bVideoLowres = true; // true if the low res video is the default
var _bVideoAutoplay = true; // true if video should autoplay
var _bShowCaptions = false; // true if course videos require captioning
var _sDiscussionLink = ""; // the URL of the discussion group for this course
var _bShowObjectives = false; //true if the display of objectives is enabled with Welcome Screen content, false if hidden.
var _bShowOptionalContent = false; //If set to true all optional content will not be displayed in the menu and will not be included in the course flow.
var _bUserCanToggleOptional = true; //If set to true the user can toggle the _bHideOptionalContent setting.
var _bShowGlossary  = false;
var _bShowResources  = false;

//MENU SETTINGS
var nMainMenuPanels = 5;
var _bShowMainMenu = true; // true if the main menu should be shown when the SCO is launched for the first time
var _bTocAutoClose = true; // true if Table of Contents sections should auto-close
var _bTocOpen = true; // true if the Table of Contents should be shown when the SCO is launched

//TRACK SETTINGS
var _bMultipleTracks = false; // true if this course contains more than one track
var _sTracksSelected = "1";	// comma separated list of selected tracks, ONLY has to be set for launching without the LMS

//OFFLINE SETTINGS
var _bDownloadable = true; // true if this course can be downloaded
var _nDownloadSize = 35; // size in MB to download this course - only used in Voyager

// LANGUAGE SETTINGS, this is the list of available languages within the course
var _aLanguages = new Array();
_aLanguages["en-us"] = "English";
var _sLanguageDefault = "en-us"; // the default language

// TEST OUT SETTINGS
var _bTestOut = false; // If set to true the test out option will be available from the welcome page.
var _bPretest = false; //If set to true, and the test out is enabled, the pre-test functionality will be enabled.
var _sMinTestOutScore = 80; //The minimum required percentage score that must be attained in the pre-test to test out of the course.
var _bShowTestedOutContent = true; //If set to true all tested out content will not be displayed in the menu and will not be included in the course flow.
var _bUserCanToggleTestedOut = false; //If set to true the user can toggle the _bHideTestedOutContent setting.

// POST-TEST SETTINGS
var _sPT_MinScore = 80; // Passing score for the post-test (expressed as a %)
var _bPT_MustCompleteModulesFirst = true; // Setting to determine if all required modules must be completed before the learner can launch the post-test.
var _sPT_CompletionStatus = 'completed'; // Setting to indicate if the course should send back a passed or completed status when the post-test has been completed successfully. 
var _sPT_MaxAttempts = 0; // Number of post-test attempts allowed (0 = no limit)
var _sPT_RequirePassedObjectives = false; // Setting to indicate if questions contained within objectives that we tested out of in the pre test will be included in the post test.
var _bPT_HideMenu = false; // Setting to indicate if the left Menu should be auto collapsed when the post test is started to discourage navigation out of the post test. Note that the user will still be able to expand the menu again.
var _bPT_HideMainMenu = false; // Setting to indicate if the Main Menu button should be hidden during the post test.
var _bPT_HidePrintPage = true; // Setting to indicate if the Print Page button should be hidden during the post test.
var _bPT_HideGlossary = false; // Setting to indicate if the Glossary button should be hidden during the post test.
var _bPT_HideResources = false;	// Setting to indicate if the Resources button should be hidden during the post test.
